﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CG.Barcode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            _barcodeList = new List<string>
                    {
                        "01772531",
                         "01772579",
                         "01775228",
                         "01777710",
                         "01783247",
                         "01812060",
                         "01813005",
                         "01813050",
                         "01515206",
                         "01532104",
                         "01538793",
                         "01548211",
                         "01569025",
                         "01569049",
                         "01569070",
                         "01569742",
                         "03146972",
                         "03147009",
                         "03147320",
                         "03147344",
                         "03147399",
                         "03148600",
                         "03148655",
                         "04697039",
                         "04697046",
                         "04697053",
                         "04697060",
                         "04771098",
                         "04771104",
                         "04771111",
                         "08799005",
                         "08799012",
                         "04914327",
                         "04914334",
                         "04914341",
                         "04914358",
                         "04927808",
                         "04927815",
                         "04927822",
                         "08801005",
                         "08801012",
                         "04767459"};
            InitializeComponent();

            _completeList.DataSource = _barcodeList;
        }

        List<string> _barcodeList;

        private void _showButton_Click(object sender, EventArgs e)
        {
            ClearTextbox();

            var sb = new StringBuilder();

            // Loop through the list and create a formatted list
            // string for the text box

            foreach (var s in _barcodeList)
            {
                sb.AppendFormat("\'{0}\',\r\n", s);
            }
            // Remove the last quote and new line chars
            sb.Remove(sb.Length - 3 - 1, 3);

            // Assign the formatted barcode text to the text box
            _barcodeTextbox.Text = sb.ToString();
        }

        private void _clearButton_Click(object sender, EventArgs e)
        {
            ClearTextbox();
        }

        private void ClearTextbox()
        {
            _barcodeTextbox.Text = String.Empty;
        }
    }
}
